Loading...
Searching...
No Matches
freecontact::af_vector< _Tp > Class Template Reference
Inheritance diagram for freecontact::af_vector< _Tp >:

## Public Member Functions

| af_vector (uint16_t __alilen, uint8_t __q, _Tp __v)
_Tp & | operator() (uint16_t __i, uint8_t __ai)
const _Tp & | operator() (uint16_t __i, uint8_t __ai) const

## Public Attributes

uint16_t | alilen
uint8_t | q

## Detailed Description

template<typename _Tp>
class freecontact::af_vector< _Tp >

Definition at line 81 of file freecontact.cpp.

## Constructor & Destructor Documentation

## af_vector()

template<typename _Tp>

freecontact::af_vector< _Tp >::af_vector | ( | uint16_t | __alilen,
|  | uint8_t | __q,
|  | _Tp | __v )

inline

Definition at line 86 of file freecontact.cpp.

## Member Function Documentation

## operator()() [1/2]

template<typename _Tp>

_Tp & freecontact::af_vector< _Tp >::operator() | ( | uint16_t | __i,
|  | uint8_t | __ai )

inline

Definition at line 88 of file freecontact.cpp.

## operator()() [2/2]

template<typename _Tp>

const _Tp & freecontact::af_vector< _Tp >::operator() | ( | uint16_t | __i,
|  | uint8_t | __ai ) const

inline

Definition at line 92 of file freecontact.cpp.

## Member Data Documentation

## alilen

template<typename _Tp>

uint16_t freecontact::af_vector< _Tp >::alilen

Definition at line 83 of file freecontact.cpp.

## q

template<typename _Tp>

uint8_t freecontact::af_vector< _Tp >::q

Definition at line 84 of file freecontact.cpp.

The documentation for this class was generated from the following file:

- freecontact.cpp